import matplotlib.pyplot as plt

import numpy as np



c_B=0.1  #concentration (mol/L) de la solution titrante 

V_A=20   #volume initial (mL) de solution titrée

V_E=20   #volume équivalent (en mL) 

c_A=c_B*V_E/V_A



V_B1=np.linspace(0,V_E,V_E*10+1)

n_a1=(c_A*V_A-c_B*V_B1)*1e-3

n_b1=c_B*V_B1*1e-3

n_B1=0*V_B1



V_B2=np.linspace(V_E,V_E*1.5,V_E*10+1)

n_a2=0*V_B2

n_b2=(0*V_B2+c_B*V_E)*1e-3

n_B2=c_B*(V_B2-V_E)*1e-3



plt.plot(V_B1,n_a1,color="blue")

plt.plot(V_B1,n_b1,color="green")



plt.plot(V_B2,n_a2,color="blue")

plt.plot(V_B2,n_b2,color="green")



plt.show()

